#

#
# Software subject to following license(s):
#   Apache 2 License (http://www.opensource.org/licenses/apache2.0)
#   Copyright (c) Responsible Organization
#

#
# Current developer(s):
#   Stijn De Weirdt <stijn.deweirdt@ugent.be>
#



package NCM::Component::FreeIPA::DNS;

use strict;
use warnings;

use version;
our $VERSION = version->new("v23.9.0");



use Readonly;

=head1 NAME

NCM::Component::FreeIPA::DNS adds DNS related methods to
L<NCM::Component::FreeIPA::Client>.

=head2 Public methods

=over

=item add_dnszone

Add a DNS zone with name C<name>.

=cut

sub add_dnszone
{
    my ($self, $name) = @_;

    return $self->do_one('dnszone', 'add', $name);
};

=pod

=back

=cut


1;
